Gtk_Calendar(3)

NAME - Gtk_Calendar

HEADER REQUIRED
#include <gtk--/calendar.h&gt;>

BASE CLASSES
Gtk_Widget(3)

PROPERTIES

header_style
    Type: GtkStyle*

label_style
    Type: GtkStyle*

month
    Type: gint

year
    Type: gint

selected_day
    Type: gint

day_month[6]

day[6]

num_marked_dates
    Type: gint

marked_date

display_flags
    Type: GtkCalendarDisplayOptions

marked_date_color

gc
    Type: GdkGC*

xor_gc
    Type: GdkGC*

focus_row
    Type: gint

focus_col
    Type: gint

highlight_row
    Type: gint

highlight_col
    Type: gint

private_data
    Type: gpointer

grow_space

     .IP

PUBLIC MEMBER INDEX
    Gtk_Calendar();
    Gtk_Calendar(GtkCalendar *castitem);
    gint	 select_month(guint	month, guint	year);
    void	 select_day(guint	day);
    gint	 mark_day(guint	day);
    gint	 unmark_day(guint	day);
    void	 clear_marks();
    void	 display_options(GtkCalendarDisplayOptions flags);
    void	 get_date(guint	*year, guint	*month, guint	*day) const;
    void	 freeze();
    void	 thaw();
    signal void  month_changed(BaseObjectType);
    signal void  day_selected(BaseObjectType);
    signal void  day_selected_double_click(BaseObjectType);
    signal void  prev_month(BaseObjectType);
    signal void  next_month(BaseObjectType);
    signal void  prev_year(BaseObjectType);
    signal void  next_year(BaseObjectType);
    GtkCalendar*  gtkobj();
    const GtkCalendar*  gtkobj() const;
    static bool  isGtkCalendar(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkCalendar  BaseObjectType;
    typedef GtkCalendarClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  month_changed_impl();
    virtual void  day_selected_impl();
    virtual void  day_selected_double_click_impl();
    virtual void  prev_month_impl();
    virtual void  next_month_impl();
    virtual void  prev_year_impl();
    virtual void  next_year_impl();

PRIVATE MEMBER INDEX
    static CppClassType  calendar_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS